Bug 17290 - Standardize on "Patron categories" when referring to patron category
Summary: Standardize on "Patron categories" when referring to patron category
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 16298
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-10 09:23 UTC by Katrin Fischer
Modified: 2017-05-03 04:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17290 - Standardize on "Patron Categories" (11.24 KB, patch)
2017-01-17 22:50 UTC, Gracie
Details | Diff | Splinter Review
Bug 17290 - Standardize on "Patron Categories" (10.77 KB, patch)
2017-01-18 20:30 UTC, Gracie
Details | Diff | Splinter Review
Bug 17290 - Standardize on "Patron Categories" (10.97 KB, patch)
2017-03-21 13:41 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17290 - Standardize on "Patron Categories" (10.98 KB, patch)
2017-03-21 16:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-09-10 09:23:04 UTC
See bug 16298 comment#3:
git grep -i "patron types"|grep -v translator
gives me some occurrences which could be updated as well, don't you think?
Comment 1 Andreas Roussos 2016-09-11 15:38:31 UTC
I could be wrong, but I think there's a few more occurrences to update if you
grep for "patron type" (i.e. in the singular).
Comment 2 Katrin Fischer 2016-09-12 07:24:19 UTC
Yep, checking singular too is a good idea.
Comment 3 Gracie 2017-01-17 22:50:26 UTC
Created attachment 59119 [details] [review]
Bug 17290 - Standardize on "Patron Categories"

We need to standardize on terminology, this changes all instances of
patron types to be patron categories.  To text, just view the patch
Comment 4 Katrin Fischer 2017-01-18 00:00:41 UTC
Comment on attachment 59119 [details] [review]
Bug 17290 - Standardize on "Patron Categories"

Review of attachment 59119 [details] [review]:
-----------------------------------------------------------------

Hey Grace,
overall this reads great already - can you please take a look at the notes I made and provide a new patch or a follow-up? Thx!

::: koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
@@ +1,1 @@
> +% USE Koha %]

I think this was an accidental change, can you please fix and resubmit?

::: koha-tmpl/intranet-tmpl/prog/en/modules/help/admin/item_circulation_alerts.tt
@@ +16,4 @@
>  	<li>To set preferences for all libraries, keep the menu set to 'Default'</li>
>  </ul>
>  </li>
> +    <li>By default all item types and all patrons are notified of check ins and check outs. To change this, click on the item/patron category combination that you would like to stop notices for.</li>

We have patron categories and item types in Koha, so maybe it would read a little better as: item type/patron category

::: koha-tmpl/intranet-tmpl/prog/en/modules/help/members/boraccount.tt
@@ +10,4 @@
>  
>  <ul>
>  	<li>Fines will be charged based on your Circulation &amp; Fines Rules</li>
> +	<li>Hold fees will be charged based on the rules you set in the Patron Categories &amp; Categories administration area</li>

I think the original read a little oddly as we don't have a section in administration that reads like the help suggests. My suggestion is to write something like:
Hold fees will be charged based on the rules you set for the patron category in administration.
Comment 5 Gracie 2017-01-18 20:30:09 UTC
Created attachment 59176 [details] [review]
Bug 17290 - Standardize on "Patron Categories"

We need to standardize on terminology, this changes all instances of
patron types to be patron categories.  To text, just view the patch
Comment 6 M. Tompsett 2017-01-24 04:34:49 UTC
Comment on attachment 59176 [details] [review]
Bug 17290 - Standardize on "Patron Categories"

Review of attachment 59176 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/help/admin/categorie.tt
@@ +2,4 @@
>  
>  <h1>Patron Categories</h1>
>  
> +<p>Patron categories allow you to organize your patrons into different roles, age groups, and patron categories.</p>

Isn't "patron categories." at the end over kill?
Patron categories allow you to organize your patrons into different roles, age groups, and categories.
Comment 7 sandboxes@biblibre.com 2017-03-21 13:41:12 UTC
Patch tested with a sandbox, by Cédric Vita <cedric.vita@dracenie.com>
Comment 8 sandboxes@biblibre.com 2017-03-21 13:41:34 UTC
Created attachment 61386 [details] [review]
Bug 17290 - Standardize on "Patron Categories"

We need to standardize on terminology, this changes all instances of
patron types to be patron categories.  To text, just view the patch

Signed-off-by: Cédric Vita <cedric.vita@dracenie.com>
Signed-off-by: Cédric Vita <cedric.vita@dracenie.com>
Comment 9 Jonathan Druart 2017-03-21 16:40:21 UTC
Created attachment 61403 [details] [review]
Bug 17290 - Standardize on "Patron Categories"

We need to standardize on terminology, this changes all instances of
patron types to be patron categories.  To text, just view the patch

Signed-off-by: Cédric Vita <cedric.vita@dracenie.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Kyle M Hall 2017-03-31 14:27:17 UTC
Pushed to master for 17.05, thanks Grace!
Comment 11 Katrin Fischer 2017-04-02 17:34:01 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 12 Mason James 2017-05-03 04:05:53 UTC
Pushed to 16.05.x, for 16.05.12 release